


    /* EPC Imp to C Translation Release 4 Version Apr 95 */


#include "imptoc.h"

 
main() {
int fail;
char battle [31] ;
char t [6] ,x [6] ;
 fail=0;
 strcpy(battle,"HASTINGS1066");
if (imp_resolve(battle,NULL,"10",NULL)!=0) {fail=1; fprintf(out_file, "%s", "NEW RESLN NOT OK");}
if (imp_resolve(battle,x,"ST",_imptempstring)+imp_resolve(_imptempstring,NULL,"6",t)!=0 || strcmp(t
,"6")!=0 || strcmp(x,"HA")!=0) {fail=1; fprintf(out_file, "%s", "DOUBLE RESLN NOT OK");}
if (fail==0)  fprintf(out_file, "%s", "TEST OK");
exit(0);
}

/* end of automatic translation */

